# Uses of Interface
org.opensaml.saml.saml1.binding.artifact.SAML1ArtifactBuilder

Packages that use SAML1ArtifactBuilder
Package
Description
org.opensaml.saml.saml1.binding.artifact
Classes that may be used to create and manipulate SAML 1 artifacts.

## Uses of SAML1ArtifactBuilder in org.opensaml.saml.saml1.binding.artifact

Classes in org.opensaml.saml.saml1.binding.artifact that implement SAML1ArtifactBuilder
Modifier and Type
Class
Description
`class`
`SAML1ArtifactType0001Builder`
Builder of SAML 1, type 0x001, artifacts.
`class`
`SAML1ArtifactType0002Builder`
SAML 1, type 0x0002, artifact builder.
Fields in org.opensaml.saml.saml1.binding.artifact with type parameters of type SAML1ArtifactBuilder
Modifier and Type
Field
Description
`private final Map<String,SAML1ArtifactBuilder<?>>`
SAML1ArtifactBuilderFactory.`artifactBuilders`
Registered artifact builders.
Methods in org.opensaml.saml.saml1.binding.artifact that return SAML1ArtifactBuilder
Modifier and Type
Method
Description
`SAML1ArtifactBuilder<?>`
SAML1ArtifactBuilderFactory.`getArtifactBuilder(byte[] type)`
Gets the artifact builder for the given type.
Methods in org.opensaml.saml.saml1.binding.artifact that return types with arguments of type SAML1ArtifactBuilder
Modifier and Type
Method
Description
`Map<String,SAML1ArtifactBuilder<?>>`
SAML1ArtifactBuilderFactory.`getArtifactBuilders()`
Gets the currently registered artifact builders.